<?php
/**
 * @var Post $model
 */

use kernel\modules\post\models\Post;

$form = new \itguild\forms\ActiveForm();
$form->beginForm(isset($model) ? "/admin/post/edit/" . $model->id : "/admin/post");

$form->field(\itguild\forms\inputs\TextInput::class, 'title', [
    'class' => "form-control",
    'placeholder' => 'Заголовок поста',
    'value' => $model->title ?? ''
])
    ->setLabel("Заголовок")
    ->render();


$form->field(class: \itguild\forms\inputs\TextArea::class, name: "content", params: [
    'class' => "form-control",
    'placeholder' => 'Контент',
    'rows' => '10',
    'value' => $model->content ?? ''
])
    ->setLabel("Пост")
    ->render();
$form->field(class: \itguild\forms\inputs\Select::class, name: "user_id", params: [
    'class' => "form-control",
    'value' => $model->user_id ?? ''
])
    ->setLabel("Пользователи")
    ->setOptions(\kernel\modules\user\service\UserService::createUsernameArr())
    ->render();

?>
    <div class="row">
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
                'class' => "btn btn-primary ",
                'value' => 'Отправить',
                'typeInput' => 'submit'
            ])
                ->render();
            ?>
        </div>
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
                'class' => "btn btn-warning",
                'value' => 'Сбросить',
                'typeInput' => 'reset'
            ])
                ->render();
            ?>
        </div>
    </div>
<?php
$form->endForm();
